Bug 756160 - CVE-2011-4110 kernel: keys: NULL pointer deref in the user-defined key type
Summary: CVE-2011-4110 kernel: keys: NULL pointer deref in the user-defined key type
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2011-4110 756168 756169
TreeView+ depends on / blocked
 
Reported: 2011-11-22 20:48 UTC by Petr Matousek
Modified: 2011-12-10 19:51 UTC (History)
8 users (show)

Fixed In Version: kernel-2.6.41.4-1.fc15
Doc Type: Release Note
Doc Text:
Clone Of:
: 756168 756169 (view as bug list)
Environment:
Last Closed: 2011-12-10 19:51:20 UTC
Type: ---


Attachments (Terms of Use)

Description Petr Matousek 2011-11-22 20:48:52 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=751297

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

[bug automatically created by: add-tracking-bugs]

Comment 1 Josh Boyer 2011-11-22 21:02:42 UTC
This is in rawhide already as 9f35a33b8d06263a165efe3541d9aa0cdbd70b3b.

F16 has an update to 3.1.2, which contains the above as d18c0efc9b76aad26000bb562037a9b675f1c0ae

F15 has an update to 3.0.10, which contains the above as 31a05f7dd79da9b4889008847e2a851835c14269

F14 seems to lack a fix.

Comment 2 Josh Boyer 2011-11-22 21:10:12 UTC
This is already fixed, so putting in MODIFIED until I can edit the update

Comment 3 Fedora Update System 2011-11-23 00:59:11 UTC
kernel-2.6.41.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/FEDORA-2011-16243/kernel-2.6.41.2-1.fc15

Comment 4 Fedora Update System 2011-11-29 13:51:44 UTC
kernel-2.6.41.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.41.4-1.fc15

Comment 5 Fedora Update System 2011-12-10 19:51:20 UTC
kernel-2.6.41.4-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.